{
  "compileOnSave"   : false,
  "compilerOptions" :
  {
    "baseUrl" : "src/",
    "paths"   :
    {
      "@app/*" : [ "app/*" ],
      "@env/*" : [ "environments/*" ]
    },

    "outDir"           : "./dist/out-tsc",
    "module"           : "es2020",
    "moduleResolution" : "node",
    "target"           : "es2017",
    "typeRoots"        : [ "node_modules/@types" ],
    "lib"              : [ "es2018", "dom" ],

    "declaration"                        : false,
    "downlevelIteration"                 : true,
    "experimentalDecorators"             : true,
    "forceConsistentCasingInFileNames"   : true,
    "importHelpers"                      : true,
    "noFallthroughCasesInSwitch"         : true,
    "noImplicitAny"                      : true,
    "noImplicitOverride"                 : true,
    "noImplicitReturns"                  : true,
    "noImplicitThis"                     : true,
    "noPropertyAccessFromIndexSignature" : true,
    "sourceMap"                          : true,
    "strict"                             : true,
    "strictNullChecks"                   : true,
  },

  "angularCompilerOptions" :
  {
    "strictTemplates"                 : true,
    "fullTemplateTypeCheck"           : true,
    "strictInjectionParameters"       : true,
    "enableI18nLegacyMessageIdFormat" : false,
    "strictInputAccessModifiers"      : true
  }
}
